#### D.2.11.2 setcores

Procedure from library `resources.lib` (see resources_lib).

Usage:
  setcores(n), n int

Return:
  n. The number of available processor cores is set to n and n is returned.

Note:
  The number of available processor cores must be at least 1. Reducing this number may take some time.
  This procedure should only be called in the main process of a Singular session and not within any task defined via tasks.lib.

Example:

    LIB "resources.lib";
    setcores(2);
    ==> 2
    setcores(4);
    ==> 4

See also: addcores; getcores; parallel_lib; tasks_lib.

User manual for Singular version 4.4.1, 2025, generated by texi2html.